summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-09-23 10:19:21 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-09-23 10:19:21 +0200
commit08ef88a536f627512664354c468c848f2dfd4a5f (patch)
treeef2ff7b5d90dad8ba8e449a6497daef54222440c /dev-util/catkin
parentdev-haskell/glade: port to ghc-7.10, bug #561128 (diff)
downloadgentoo-08ef88a536f627512664354c468c848f2dfd4a5f.tar.gz
gentoo-08ef88a536f627512664354c468c848f2dfd4a5f.tar.bz2
gentoo-08ef88a536f627512664354c468c848f2dfd4a5f.zip
dev-util/catkin: bump to 0.6.15
Package-Manager: portage-2.2.21
Diffstat (limited to 'dev-util/catkin')
-rw-r--r--dev-util/catkin/Manifest1
-rw-r--r--dev-util/catkin/catkin-0.6.15.ebuild95
2 files changed, 96 insertions, 0 deletions
diff --git a/dev-util/catkin/Manifest b/dev-util/catkin/Manifest
index 1d66923302e..ea4200276df 100644
--- a/dev-util/catkin/Manifest
+++ b/dev-util/catkin/Manifest
@@ -1 +1,2 @@
DIST catkin-0.6.14.tar.gz 197628 SHA256 0ca265803be8a2c1b6036d67ed63505551f4bbc02fa6cb8180dc3167b9f3afc9 SHA512 e2aec7bfbef0f103d96c71408917823cd80e205c021bcd78c018eb2aaaabff04bc268f661ada52963929726e0a986115cbe2c4d791cfa4542a20f7841cd74372 WHIRLPOOL 18a4173b5536da3ec6f7395c39f382b03d173e878b81ffef7d224d2828d6930099a74e08a6299b09a68bd56de87e4be225a735cc8a423b8a0b810cd92b1a5e1d
+DIST catkin-0.6.15.tar.gz 198980 SHA256 ecb55d27c59fb1051ac66c8fdf39454e95b2c155b4b8ef1014786872d6084b80 SHA512 fafb921c6b96f2adb2729fce362b4fdd46f74531e64474616a421a759c0ba879fb0cd84734ccb4bc9791b6562525bbda904db8b253657b5011a35e78791ffb15 WHIRLPOOL 4b9c85921b3a24c35e92e768b4b7c90e1cccdad33460b53ecbdb0705d68c3f2309bad5e0ee17502f7069b5f6adbd7fd81db54cedd5cd846f6364ad10d5e1a79f
diff --git a/dev-util/catkin/catkin-0.6.15.ebuild b/dev-util/catkin/catkin-0.6.15.ebuild
new file mode 100644
index 00000000000..53f670a52f9
--- /dev/null
+++ b/dev-util/catkin/catkin-0.6.15.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="http://github.com/ros/catkin"
+fi
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit ${SCM} cmake-utils python-r1 python-utils-r1
+
+DESCRIPTION="Cmake macros and associated python code used to build some parts of ROS"
+HOMEPAGE="http://wiki.ros.org/catkin"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://github.com/ros/catkin/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ dev-python/empy[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? ( dev-python/nose[${PYTHON_USEDEP}] dev-python/mock[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+ "${FILESDIR}/tests.patch"
+ "${FILESDIR}/distutils.patch"
+ "${FILESDIR}/catkin_prefix_path.patch"
+)
+
+src_prepare() {
+ # fix libdir
+ sed -i \
+ -e 's:LIBEXEC_DESTINATION lib:LIBEXEC_DESTINATION libexec:' \
+ -e 's:}/lib:}/${CMAKE_INSTALL_LIBDIR}:' \
+ -e 's:DESTINATION lib):DESTINATION ${CMAKE_INSTALL_LIBDIR}):' \
+ -e 's:DESTINATION lib/:DESTINATION ${CMAKE_INSTALL_LIBDIR}/:' \
+ -e 's:PYTHON_INSTALL_DIR lib:PYTHON_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR}:' \
+ cmake/*.cmake || die
+ cmake-utils_src_prepare
+}
+
+catkin_src_configure_internal() {
+ mycmakeargs+=( -DPYTHON_EXECUTABLE="${PYTHON}" )
+ python_export PYTHON_SCRIPTDIR
+ cmake-utils_src_configure
+}
+
+src_configure() {
+ local mycmakeargs=(
+ "$(cmake-utils_use test CATKIN_ENABLE_TESTING)"
+ "-DCATKIN_BUILD_BINARY_PACKAGE=ON"
+ )
+ python_foreach_impl catkin_src_configure_internal
+}
+
+src_compile() {
+ python_foreach_impl cmake-utils_src_compile
+}
+
+src_test() {
+ unset PYTHON_SCRIPTDIR
+ python_foreach_impl cmake-utils_src_test
+}
+
+catkin_src_install_internal() {
+ python_export PYTHON_SCRIPTDIR
+ cmake-utils_src_install
+ if [ ! -f "${T}/.catkin_python_symlinks_generated" ]; then
+ dodir /usr/bin
+ for i in "${D}/${PYTHON_SCRIPTDIR}"/* ; do
+ dosym ../lib/python-exec/python-exec2 "/usr/bin/${i##*/}" || die
+ done
+ touch "${T}/.catkin_python_symlinks_generated"
+ fi
+}
+
+src_install() {
+ python_foreach_impl catkin_src_install_internal
+ # needed to be considered as a workspace
+ touch "${ED}/usr/.catkin"
+}